Package: org.apache.groovy.contracts.common.impl

## [Java] Class RequiresAnnotationProcessor

- org.apache.groovy.contracts.common.impl.RequiresAnnotationProcessor

-     public class RequiresAnnotationProcessor
      extends AnnotationProcessor

  Internal AnnotationProcessor implementation for pre-conditions.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, MethodNode methodNode, BlockStatement blockStatement, BooleanExpression booleanExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AnnotationProcessor` | `process, process`

- - ### Method Detail

    - #### @Override
      public void process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, MethodNode methodNode, BlockStatement blockStatement, BooleanExpression booleanExpression)